Skip to main content
`Ctrl`+`K`

# KSPSetUseExplicitTranspose

Determines the explicit transpose of the operator is formed in `KSPSolveTranspose()`. In some configurations (like GPUs) it may be explicitly formed since the solve is much more efficient.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetUseExplicitTranspose(KSP ksp, PetscBool flg)

Logically Collective

## Input Parameter

- ksp - the `KSP` context

## Output Parameter

- flg - `PETSC_TRUE` to transpose the system in `KSPSolveTranspose()`, `PETSC_FALSE` to not transpose (default)

## See Also

KSP: Linear System Solvers, `KSPSolveTranspose()`, `KSP`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages